Quel système d’exploitation pour Scratch 2 et PI3

Langage graphique, Scratch est un outil ludique pour apprendre la programmation

Modérateur : Francois

Avatar de l’utilisateur
cranberry314
Messages : 4
Enregistré le : ven. 3 juin 2016 22:40

Quel système d’exploitation pour Scratch 2 et PI3

Messagepar cranberry314 » ven. 3 juin 2016 23:16

Je cherche à afficher graphiquement (sous forme de jauge ou autre) des valeurs analogique d'une résistance variable.

Partie électronique, pas trop compliqué plusieurs tutos disponible avec mise en place d'un convertisseur analogique.

Mais partie soft, je pèche un peu... je me suis dit, ok Python c'est sympa, j'ai une belle phrase qui me donne une tension. Mais pour ensuite crée du graphisme autour, plus compliqué. Du coup, je me dirige vers Scratch, car depuis peu, nous avons la possibilité de faire l'acquisition de donné du GPIO. Super, c'est simple, ludique bref super.

L'idée était de crée plusieurs lutins qui se montrait ou se cachait en fonction des valeurs transmises du GPIO.

Mais la, grosse déception, impossible d'installer Scratch2 sur mon raspberry 3, Airplay installer ne veux pas se lancer même si carte SD et logiciel en 32bits.

J'en viens à me demander si cela ne serai pas plus facile avec une autre plateforme (Windows 10 Iot ou autre).

Du coup, je cherche de l'aide d'une personne qui aurait déjà réussi à installer Scratch 2 sur un PI3, voir même quelqu'un ayant réussi à utiliser le GPIO avec Scratch.

Merci à vous :-)

yoshi
Raspinaute
Messages : 102
Enregistré le : sam. 29 août 2015 08:29

Re: Quel système d’exploitation pour Scratch 2 et PI3

Messagepar yoshi » lun. 11 juil. 2016 11:30

Salut ,
Juste une question bête : as tu installé raspbian ou meme noobs (scratch est délà installé sur raspbian)
-Deux raspberry avec Cayenne pour suivre la température
-Bientôt deux arduino nano pour un drone térrestre

atome
Messages : 1
Enregistré le : mar. 26 juil. 2016 09:18

Re: Quel système d’exploitation pour Scratch 2 et PI3

Messagepar atome » mar. 26 juil. 2016 09:26

Bonjour,

Il me semble que la version installé sur RaspBian est la 1.4 ...

Je n'arrive pas à installer Whiskers car la version de Squeak 5.0 ne semble pas être supportée par la PI3

Est ce que je me trompe ???

Y aurait-il quelqu'un qui aurait une astuce pour installer Scratch 2 sur une pi3 ???

Merci par avance

PS : je vais travailler sur Scratch avec mes élèves l'année prochaine ... Problème : une salle sera sous Windows et utilisera Scratch2 alors que la mini-salle dédiée au math et équipé par des pi3 sera sous Scratch1.4 (je ne sais pas encore s'il y a une grosse différence pour les élèves)


Retourner vers « Scratch »

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité